ql-hba-snapshot(8)

NAME
ql-hba-snapshot - display specific information of the QLogic HBA.

SYNOPSIS
ql-hba-snapshot <Host number> [OPTIONS]

DESCRIPTION
FC HBA Snapshot Utility

This utility displays the details of the QLogic HBA attached to the system. It uses one of the two file systems for scanning: proc or sysfs.

<Host number> | <-a/--all> [optional]

    Provide the <HOST NUMBER> to display the detailed information of the HBA. With no option specified, general information of all hosts will be displayed. Ex. # /usr/sbin/ql-hba-snapshot <Host Number> # /usr/sbin/ql-hba-snapshot --procfs <Host Number> (For procfs)

-h, --help

    Prints the help message. Ex. # /usr/sbin/ql-hba-snapshot --help

-hl, --hostlist

    This option displays the list of QLogic hosts (HBAs) connected to this system. The <HOST NUMBER> can be obtained by using following command Ex. # /usr/sbin/ql-hba-snapshot --hostlist

-p, --parameters

    This option displays the command line parameters that can be passed to the QLogic HBA driver. Ex. # /usr/sbin/ql-hba-snapshot --parameters <Host Number>

-s, --statistics

    This option displays the statistical information for specified host. Stastics option is only supported in "sysfs" based scan. Ex. # /usr/sbin/ql-hba-snapshot --statistics <Host number/--all>

-proc, --procfs

    This options forces the the utility to scans information based on "procfs", instead of default sysfs. Ex. # /usr/sbin/ql-hba-snapshot --procfs [Other valid option]

-v, --verbose

    This enables verbose display. The detailed information of LUNs will be displayed in addition to standard one. This option is only supported in sysfs. Ex. # /usr/sbin/ql-hba-snapshot --verbose <Host number/-a>

SEE ALSO
ql-dynamic-tgt-lun-disc(8), ql-lun-state-online(8), ql-set-cmd-timeout(8)